Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 16 Next »

Introduction

This topic provides an overview of the Vibes Push SDK for Apple iOS and Android, and is meant for developers who want to have their systems interact with Vibes push technology.

Vibes offers this push SDK to let you send push messages to consumers, track your App activity, and allow mobile applications to register themselves to receive push messages from Vibes Mobile Engagement Platform.

The full Vibes SDK installation documentation is located in the Vibes SDK repo located at:  LINK

Requirements for Apple

The following are the minimum Apple iOS and Xcode versions that are required for the Apple iOS push SDK.

  • iOS 9.0+
  • Xcode 7.3+

Requirements for Android

Jelly Bean 4.1+ is the minimum Android version that is required for the Google Android push SDK.

Prerequisites To Install the Vibes iOS Push SDK

You can use one of the following prerequisites to install the Vibes iOS push SDK.

  • Cocoapads: You can use CocoaPods, which is a dependency manager for Cocoa projects, to install the Vibes Push iOS SDK.
  • Carthage: You can use Carthage, which is a decentralized dependency manager, to automate the process of adding frameworks to your Cocoa application.
  • Manual install. If you prefer not to use either of the dependency managers, you can manually integrate Vibes Push into your project.

Prerequisites To Install the Vibes Android Push SDK

You can use one of the following prerequisites to install the Vibes Android push SDK.

  •  

Environment

You will use test accounts within a production environment to test your SDK.

Program Language for Apple iOS

You can build your iOS Apps in Objective-C.

Program Language for Google Android

You can build your Android Apps in ...

  • No labels